var marked = require('marked');
var renderer = new marked.Renderer();

renderer.image = function(href, title, text) {
  if(process.argv[3] !== "final") {
    if(!href.match("://")) {
      href = "https://ok1kvk.cz"+href;
    }
  }
  var out = '<img src="' + href + '" alt="' + text + '"';
  if (title) {
    out += ' title="' + title + '"';
  }
  out += this.options.xhtml ? '/>' : '>';
  return out;
};

marked.setOptions({
  renderer: renderer,
  gfm: true,
  tables: true,
  breaks: false,
  pedantic: false,
  sanitize: false,
  smartLists: true,
  smartypants: false,
});

module.exports = function() {
  var tr = this;
  tr.fancyname = "transformer markdown";
  tr.forEachPage = function(article, cb) {
    article.origContent = article.content;
    article.content = marked(article.content);
    cb();
  }
}

