var nunjucks = require('nunjucks');
var fs = require('fs');
var dateFilter = require('nunjucks-date-filter');

var MyLoader = nunjucks.Loader.extend({
    fileSystemLoader: {},
    init: function(searchPaths, opts) {
        fileSystemLoader = new nunjucks.FileSystemLoader(searchPaths, opts);
    },

    getSource: function(name) {
        return fileSystemLoader.getSource(name+".html.nunjucks");
    }
});


module.exports = function() {
  var tr = this;
  var templates = {};
  tr.pre = function(cb) {
    var env = new nunjucks.Environment(new MyLoader('theme/templates',{watch:true}));
    env.addFilter('date', dateFilter);
    templates["article"] = env.getTemplate('article');
    templates["tag"] = env.getTemplate('tag');
    templates["redirect"] = env.getTemplate('redirect');
    cb();
  };

  tr.fancyname = "transformer nunjucks";

  tr.forEachPage = function(page, cb) {
    page.config = {
      baseurl: "",
      devel: process.argv[2] !== "compileonly"
    }
    var html = templates[page.type].render(page);
    //if(page.type == "tag") console.log(page.content[0].file);
    page.content = html;
    cb();
  }
}

